2001-09-14  Ettore Perazzoli  <ettore@ximian.com>

	[Automake 1.5 fixes pointed out by Richard Boulton
	<richard@tartarus.org>, as per #9258.]

	* executive-summary/component/Makefile.am (CLEANFILE): Assign
	directly with `=', not `+='.
	* executive-summary/evolution-services/Makefile.am: Likewise.

2001-07-21  Ettore Perazzoli  <ettore@ximian.com>

	* component/component-factory.c: Make the "executive-summary"
	folders non-user-creatable by setting `user_creatable' to %FALSE
	in the `EvolutionShellComponentFolderType's.

2001-06-18  Dan Winship  <danw@ximian.com>

	* test-service/Makefile.am (test_service_LDADD): Remove DB3_LDADD

	* component/Makefile.am (evolution_executive_summary_LDADD):
	Remove DB3_LDADD

2001-06-04  Ettore Perazzoli  <ettore@ximian.com>

	* component/Makefile.am (evolution_executive_summary_LDADD): Move
	`libevolution-services.la' on top.

2001-06-03  Ettore Perazzoli  <ettore@ximian.com>

	* test-service/Makefile.am (rdf_summary_LDADD): Move
	`$(DB3_LDADD)' before the shared libraries.

	* component/Makefile.am (evolution_executive_summary_LDADD): Move
	`$(DB3_LDADD)' before libeutil.

2001-06-01  Ettore Perazzoli  <ettore@ximian.com>

	* component/Makefile.am (evolution_executive_summary_LDADD): Add
	`$(DB3_LDADD)'.
	* test-service/Makefile.am (test_service_LDADD): Likewise.
	(rdf_summary_LDADD): Likewise.

2001-05-27  Dan Winship  <danw@ximian.com>

	* component/e-summary-factory.c: #include
	"evolution-shell-component-utils.h" rather than "e-gui-utils.h"
	for e_pixmaps_update.

	* component/Makefile.am (evolution_executive_summary_LDADD): Use
	libeshell.la, not libeshell.a (Did Peter forget to commit this?)

2001-05-25  Peter Williams  <peterw@ximian.com>

	* component/Makefile.am: Reference libeshell.la instead of libeshell.a.

2001-05-23  Kjartan Maraas  <kmaraas@gnome.org>

	* component/e-summary-url.c: Mark a string for translation.
	
2001-05-10  Iain Holmes  <iain@ximian.com>

	* test-service/rdf-summary.c (load_from_stream): Set the time, not the
	timeout id. (duh!)
	(summary_to_string): Get the time, not the timeout id. (DUH!)
	(property_control): Connect the spin button to the item_changed callback.

2001-05-10  Iain Holmes  <iain@ximian.com>

	* test-service/rdf-summary.c (property_control): Don't let the spinner 
	be set to 0

2001-05-10  Iain Holmes  <iain@ximian.com>

	* test-service/rdf-summary.c (download_cb): Proxy clicked events to
	download.
	(property_control): Connect the Update Now button to the download_cb
	instead of download to prevent a crash.

2001-05-05  Gediminas Paulauskas <menesis@delfi.lt>

	* component/Makefile.am, evolution-services/Makefile.am: no need of
	-DEVOLUTION_VERSION

	* component/e-summary-callbacks.c: translate window title.

	* component/e-summary-url.c (e_summary_url_describe): contents are in
	utf-8, convert to locale.

	* test-service/Makefile.am: define EVOLUTION_LOCALEDIR.

	* test-service/rdf-summary.c: init gettext.

2001-05-02  Gediminas Paulauskas <menesis@delfi.lt>

	* component/e-summary.c: set default content type of html to
	"text/html; charset=utf-8".

2001-04-25  Dan Winship  <danw@ximian.com>

	* idl/Makefile.am (INCLUDES): Remove this section, which doesn't
	apply to anything since there are no targets in this directory.

	* test-service/Makefile.am: 
	* evolution-services/Makefile.am: 
	* component/Makefile.am: Remove UNICODE_LIBS/UNICODE_CFLAGS

2001-04-14  Michael Meeks  <michael@ximian.com>

	* idl/Makefile.am: Remove stale build cruftiness.

2001-04-10  Gediminas Paulauskas <menesis@delfi.lt>

	* widgets/e-summary-subwindow.c: added some missing includes.
	* widgets/e-summary-title-button.h: same.

2001-04-04  Gediminas Paulauskas <menesis@delfi.lt>

	* component/component-factory.c: last time I've broken shortcut view.
	renamed icons properly.

2001-04-01  Gediminas Paulauskas <menesis@delfi.lt>

	* component/component-factory.c: Changed folder type icon to tiny
	executive summary icon.
	* component/e-summary-factory.c: replaced set_pixmap with new EPixmap
	cache.

2001-03-29  Kjartan Maraas  <kmaraas@gnome.org>

	* *.*: Clean up includes. Remove/replace <gnome.h>, <bonobo.h>
	and <gtk/gtk.h>.
	
2001-03-08  Ettore Perazzoli  <ettore@ximian.com>

	* component/component-factory.c (factory_fn): Specify a NULL
	`EvolutionShellComponentGetDndSelectionFn'.

2001-02-14  Iain Holmes  <iain@ximian.com>

	* component/e-summary-url.c (e_summary_url_click): Remove the new
	OTHER uri stuff.

2001-02-14  Christopher James Lahey  <clahey@ximian.com>

	* component/component-factory.c (component_destroy_cb): Removed
	this unused function.

	* evolution-services/executive-summary-html-view.c
	(impl_GNOME_Evolution_Summary_HTMLView_handleURI): Changed the
	declaration of this function to match the signature in the
	generated header file.

	* test-service/rdf-summary.c (property_control): Added a cast here.

2001-02-14  Iain Holmes  <iain@ximian.com>

	* evolution-services/executive-summary-html-view.c 
	(executive_summary_html_view_destroy): Don't unref the event source.
	(impl_GNOME_Evolution_Summary_HTMLView_handleURI): Emit the signal.
	(corba_class_init): Hook up the handleURI method.
	(executive_summary_html_view_class_init): Create the signal.

	* idl/HTMLView.idl: Add the handleURI method.

2001-02-13  Iain Holmes  <iain@ximian.com>

	* test-service/rdf-summary.c (property_control): Add an update now button.

2001-02-12  Iain Holmes  <iain@ximian.com>

	* test-service/rdf-summary.c (property_control): Add a "Update" spinner.
	(property_action): Only download a new RDF if the URL changed. Use a cached
	version otherwise.

2001-02-08  Iain Holmes  <iain@ximian.com>

	* component/e-summary-url.c (e_summary_url_click): Close and remove the
	window on an idle, so that the whole desktop isn't locked by a 
	GNOME-VFS bug.

2001-02-13  Kjartan Maraas  <kmaraas@gnome.org>

	* Makefile.am: xml-i18n-tools setup for .oaf.in files.
	* GNOME_Evolution_Summary.oaf.in: Mark strings for translation.
	* test-service/Makefile.am: xml-i18n-tools setup for .oaf.in files.
	* test-service/*.oaf.in: Mark strings for translation.
	
2001-01-23  Iain Holmes  <iain@ximian.com>

	* component/e-summary.c (e_summary_load_page): Don't strdup the NULL.

2001-01-20  Iain Holmes  <iain@ximian.com>

	* component/e-summary.c (e_summary_display_window): Free the html
	variable and the header too.

2001-01-22  Christopher James Lahey  <clahey@helixcode.com>

	* component/e-summary-url.c: Change the callbacks in this file to
	match the callback function types.  Fixes warnings.

2001-01-12  Ettore Perazzoli  <ettore@helixcode.com>

	* component/component-factory.c (factory_fn): Pass NULL as the
	@copy_folder_fn arg to `evolution_shell_component_new()'.

	* evolution-services/executive-summary-component.c
	(executive_summary_component_destroy): Remove unused variable.

2001-01-12  Iain Holmes  <iain@ximian.com>

	* component/e-summary-util.c (e_summary_rm_dir): If base == NULL return;
	Closes bug #37077

2000-12-30  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_rebuild_page): The number of columns
	is no longer hardcoded.

	* component/e-summary-prefs.[ch]: Add a columns member, and all the 
	necessary code to support it.

	* component/e-summary-callbacks.c: Set the columns member.

	* test-service/rdf-summary.c: Add a "Show title" button for turning off
	the title if it is taking up too much room.

2000-12-29  Iain Holmes  <iain@helixcode.com>

	* test-service/rdf-summary.c (view_destroyed): Cancel all pending
	async downloads.
	(load_from_stream): Check if the XML was correctly loaded.
	(read_callback):
	(close_callback):
	(open_callback): Add a cast to remove warnings
	
	* component/e-summary.c (listener_event): Check for the correct event names.

2000-12-28  Iain Holmes  <iain@helixcode.com>

	* test-service/rdf-summary.c (create_view): Aggregate a 
	Bonobo::PersistStream interface.
	(load_from_stream):
	(summary_to_string):
	(save_to_stream):
	(content_types): Functions to load and save an XML document.

2000-12-26  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (make_control_html): Neatened the code.
	(e_summary_add_service): Get the event source that is shared
	between everything.
	
	* component/e-summary-url.c (e_summary_url_click): Use the shared
	event source.

	* test-service/rdf-summary.c (create_view): Use the EventSource when
	creating the BonoboPropertyBag.

	* test-service/main.c (create_view): Create a shared BonoboEventSource.

2000-12-21  Iain Holmes  <iain@helixcode.com>

	* test-service/rdf-summary.c (download): Split this function into
	many callbacks, for async action.

	* component/e-summary-url.c (e_summary_url_request): Split this 
	into async callbacks too.

2000-12-13  Christopher James Lahey  <clahey@helixcode.com>

	* component/e-summary-callbacks.c (configure_summary): Added a
	cast.

2000-12-13  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_rebuild_page): Display all the windows
	correctly.
	(e_summary_save_state): Remove the whole of the Executive-Summary dir.

	* component/e-summary-util.[ch]: Add e_summary_rm_dir, a function to reove
	everything in the path. RC people have a function to do it too, but I can't
	remember how to get RC :)

	* component/e-summary-callbacks.c: (configure_summary): Put an HTML 
	explanation into the configure dialog.

2000-12-13  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_rebuild_page): Count the number
	of rows correctly.

2000-12-12  Christopher James Lahey  <clahey@helixcode.com>

	* component/e-summary-callbacks.c: Added #include
	<e-summary-callbacks.h>.
	(destroy_prefs_cb): Added a cast.
	(configure_summary): Added a cast.

	* component/e-summary-callbacks.h: Added #include "e-summary.h"

	* component/e-summary-url.c (e_summary_url_click): Removed an
	unused variable.

	* component/e-summary-util.c: Added #include <e-summary-util.h>

	* component/e-summary.c: Added #include <gtkhtml/htmlselection.h>.
	(e_summary_queue_rebuild): Added a cast.

	* component/main.c: Added #include <glade/glade.h>.

	* test-service/main.c: Changed some variable types to make casting
	easier.

	* test-service/rdf-summary.c: Changed some variable types to make
	casting easier.

2000-12-12  Dan Winship  <danw@helixcode.com>

	* Makefile.am (EXTRA_DIST): Add stuff. (From campd.)

2000-12-11  Iain Holmes  <iain@helixcode.com>

	* evolution-services/executive-summary-html-view.h: Add a define
	for the "html_changed" signal to name space it. Change the
	function declarations to fit with the below change too.

	* evolution-services/executive-summary-html-view.c 
	(executive_summary_html_view_new): Create a default BonoboEventSource
	and use the new _full function.
	(executive_summary_html_view_new_full): Creates a new HtmlView with
	the given BonoboEventSource.
	(executive_summary_html_view_get_event_source): Returns the 
	BonoboEventSource for the view.
	(executive_summary_html_view_set_html): Use the new #define for the event
	name.

	* test-service/rdf-summary.c (create_view): Share the BonoboEventSource
	between the HtmlView and the BonoboPropertyControl.

	* component/e-summary.c (html_event): Use the name spaced #define.
	(e_summary_start_load): Add a new hack to set the border width of the 
	GtkHTML widget to 0.
	(e_summary_rebuild_page): Redid the way the tables are drawn. Made the
	title icon be constrained to 48.

	* evolution-services/executive-summary-component.c 
	(impl_GNOME_Evolution_Summary_ComponentFactory_createViw): Fixed a warning.

	* component/e-summary-util (e_pixmap_file): Free the edir. 

2000-12-08  Iain Holmes  <iain@helixcode.com>

	* summary.html: Don't hardcode the image paths.

2000-12-08  JP Rosevear  <jpr@helixcode.com>

	* component/Makefile.am (evolution-executive-summary.pure): Add purify
	options for the build
	
2000-12-08  JP Rosevear  <jpr@helixcode.com>

	* Makefile.am: Remove files from extra_dist since they are already
	listed

2000-12-07  Iain Holmes  <iain@helixcode.com>

	* summary.html: Prettier HTML summary.

	* Makefile.am: Install the new summary.html

	* component/e-summary.c (load_component): Free corba_subdir and
	corba_stream.
	(save_component): Free corba stuff. 
	

2000-12-06  Iain Holmes  <iain@helixcode.com>

	* e-summary-callbacks.c (new_mail): Update COMPOSER_IID to the new
	style IIDs.
	(configure_summary): Set up to do stuff when preferences are changed.

	* e-summary-prefs.c (e_summary_prefs_save): Sync and drop the config file
	so that changes are written to disk.

	* e-summary.c (e_summary_reconfigure): Change the summary to the new
	preferences.

2000-12-04  Iain Holmes  <iain@helixcode.com>

	* test-service/rdf-summary.c (entry_changed): Add a NULL for opt_ev.

	* idl/HtmlView.idl: Inherit from Bonobo::Unknown and not 
	Bonobo::EventSource.

	* evolution-services/executive-summary-html-view.[ch]: Change 
	implementation of the EventSource so that it is aggregated onto
	the HtmlView object and not inherited.

	* component/e-summary.c (e_summary_window_free): Free the event_source.
	(e_summary_add_service): query for the EventSource interface.

2000-12-01  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_load_state): Fix memory leak.
	(everywhere): Fixed memory leaks, and unref problems.

2000-11-30  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_window_free): remove the
	event listener before destruction.

	* component/e-summary-url.c (e_summary_url_click): Handle the
	new PropertyControl api. Add a listener to detect when the page
	is changed, and adjust the property box accordingly.

	* test-service/main.c (create_view): Increment running view.

2000-11-29  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c: Big memory leak cleanup.

2000-11-28  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_display_window): If the HTML
	control dies, then just close the open tags.

	* component/e-summary-url (e_summary_url_click): Put the control
	into a GnomePropertyBox.

	* evolution-services/executive-summary-component.c 
	(impl_GNOME_Evolution_Summary_ComponentFactory_createView): 
	Duplicate the component.

2000-11-27  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_window_free): Free all the
	interfaces and the component.
	(e_summary_load_state): Fix typos.

	* component/e-summary-prefs.c: Fix some typos.

	* component/e-summary-url.c: If configure is pressed, retrieve
	the control and embed it in a window.

	* test-services/main.c (component_destroyed): assign ud from data
	not from ud!

	* test-services/rdf-summary.c (view_destroyed): Connect this 
	callback and free the summary.
	(property_control): Made a simple configuration dialog.

2000-11-25  Iain Holmes  <iain@helixcode.com>

	* component/e-summary-prefs.[ch]: New files to handle loading,
	saving, copying and freeing preferences.

	* component/e-summary.c (e_summary_save_state): Use the new
	prefs stuff to save.
	(e_summary_load_state): Use the new prefs stuff to load.

	* component/e-summary-factory.c (set_pixmap): Use e_pixmap_file
	to find the pixbuf.

2000-11-24  Iain Holmes  <iain@helixcode.com>

	* idl/SummaryComponent.idl: Removed the setOwner and unsetOwner 
	methods from the Component interface.

	* evolution-services/executive-summary.[ch]
	  evolution-services/executive-summary-client.[ch]
	  evolution-services/executive-summary-component-client.[ch]
	  evolution-services/executive-summary-component-view.[ch]:
	Removed.
 
	* component/main.c (main): Stopped ignoring the signals.

	* component/executive-summary-config.glade: Glade file for the
	prefs dialog.

2000-11-23  Iain Holmes  <iain@helixcode.com>

	* component/e-summary-factory.c (embed-service): Moved to
	e-summary-callbacks.c.
	(e_summary_factory_embed_from_id): Moved to e-summary.c and renamed
	e_summary_embed_from_id.
	Added a New Mail button.

	* component/e-summary-callbacks.c: New file.

2000-11-22  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_save_state): removed the #if 0s
	and changed the save type to fs.

2000-11-21  Iain Holmes  <iain@helixcode.com>

	* test-services/rdf-summary.c: Rewrote to use the new services code.

	* idl/HtmlView.idl: Inherit from Bonobo::EventSource instead of
	Bonobo::Unknown.

2000-11-20  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_save_state): #if 0'd out the 
	PersistStream code till it is fixed.
	(e_summary_window_free): Only Bonobo_Unknown_unref the component,
	not all the other interfaces.
	(e_summary_remove_window): Function to remove the window from the
	window list and free it.
	(make_control_html): Make "id" the address of the window structure.

	* component/e-summary-url.c: Reimplemented all the functions that the
	Executive Summary had before the big code change.

2000-11-18  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_save_state): Use Persist stream to
	save the state of all the components.
	(e_summary_load_state): Use Persist stream to load the components again.
	(e_summary_add_service): Add a Property Listener to the property bag to
	be notified of changes to the title or icon.

2000-12-07  Dave Camp  <dave@helixcode.com>

	* evolution-services/evolution-summary-component.c: Don't include 
	executive-summary-client.h.

2000-12-07  Dave Camp  <dave@helixcode.com>

	* idl/Makefile.am (IDLS): Include HtmlView.idl
	
2000-11-29  Dan Winship  <danw@helixcode.com>

	* component/main.c (main): Remove no-longer-needed e_unicode_init.

2000-17-10  Iain Holmes  <iain@helixcode.com>

	 * component/e-summary.c (make_control_html): Set the configure button
	active if there is a Bonobo_PropertyControl object associated with the
	window.

	* Makefile.am: Remove the widgets subdirectory.

2000-16-10  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_display_window): Use the property
	bag to get the window title and icon.

	* test-service/main.c: (create_view): Add a PropertyBag to the object.
	(set_property): Set the properties.
	(get_property): Get the properties.
 
2000-15-10  Iain Holmes  <iain@helixcode.com>

	* evolution-services/executive-summary-component-factory-client.[ch]:
	A client for the factory stuff.

2000-14-10  Iain Holmes  <iain@helixcode.com>

	* evolution-services/executive-summary-html-view.[ch]: Implementation
	of the HtmlView interface.

	* component/e-summary-factory.c 
	(e_summary_factory_embed_service_from_id): Rewrote to use the new
	component_factory.

	* component/e-summary.c (e_summary_add_service): Rewrote to use
	the new component stuff. Lots of queryInterfaces :)
	(e_summary_window_free): Rewrote.
	
	* test-service/main.c: Rewrote completely as an example of the
	new services.

2000-13-10  Iain Holmes  <iain@helixcode.com>

	* evolution-services/executive-summary-component.c:
	Created the ExecutiveSummaryComponentFactory type, that implements
	GNOME/Evolution/Summary/ComponentFactory. Changed the way 
	GNOME/Evolution/Summary/Component is implemented.

	* idl/SummaryComponent.idl: Removed all methods from Component
	execpt setOwner and unsetOwner. Added ComponentFactory interface
	with a createView method.

	* idl/HtmlView.idl: New interface for HTML services. One method
	getHtml.

2000-11-10  Iain Holmes  <iain@helixcode.com>

	* evolution-services/executive-summary-component-view.c
	(executive_summary_component_view_set_title): Removed the
	"wrong side" warning.

	* component/e-summary-factory.c (set_icon): Change the view's 
	icon.
	(e_summary_factory_embed_service_from_id): Connect to the set_icon
	signal.

2000-11-09  Iain Holmes  <iain@helixcode.com>

	* test-service/rdf-summary.c: Made Alan Cox's rdf-engine.c from
	Portaloo into a summary component.

2000-11-08  Iain Holmes  <iain@helixcode.com>
	
	* component/e-summary.c (e_summary_window_free): Remove the view
	from the id_to_view hash table.
	(make_control_html): Fix the bottom row comparison.
	
2000-11-07  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_load_state): Load the HTML
	page for the background.
	(load_html_page): Use GnomeVFS to load this page, and split it
	into a header and footer.
	(e_summary_rebuild_page): If a header and footer exist, use them
	otherwise just load the default.

2000-11-06  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (on_object_requested): Load a bonobo 
	service and try to get it to display (Not working yet).

2000-11-04  Iain Holmes  <iain@helixcode.com>

	* test-service/test-bonobo.c: New file to test Bonobo control
	based services.

	* test-service/test-service.oafinfo: Added the details for the
	test-bonobo service.

2000-11-03  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (make_control_html): Make a neater
	function to create the window controls. Check if a window can
	be moved in a certain direction before making a link.

	* evolution-services/executive-summary-component-view.c: Added a
	GtkWidget to the private structure to store the control's widget.

2000-11-03  Iain Holmes  <iain@helixcode.com>

	* evolution-services/executive-summary-component-view.c:
	(executive_summary_component_view_class_init): Add a "configure"
	signal.

	* evolution-services/executive-summary-component-view.h: Add the
	default handler in the class type.

	* idl/SummaryComponent.idl: Add an id to the configure method.

	* evolution-services/executive-summary-component-client.[ch]:
	executive_summary_component_client_configure: Takes a View param. 

	* component/e-summary-factory.c: Connect to the configure signal
	of the created view and call the configure method.

	* component/e-summary-url.c: When the [?] is clicked, emit the
	configure signal.

	* test-service/main.c: Connect the configure signal to something.

2000-11-21  Radek Doulik  <rodo@helixcode.com>

	* component/e-summary.c (e_summary_rebuild_page): use html_engine_is_selection_active
	added some includes

2000-11-11  Matt Bissiri  <bissiri@eecs.umich.edu>

	* component/e-summary-factory.c: (control_activate_cb),
	(embed_service):
	* evolution-executive-summary.oafinfo:
	* test-service/test-service.oafinfo:
	Update the remaining "IDL:Evolution*" to "IDL:GNOME/Evolution*"
	to sync up with yesterday's IDL re-scoping.

2000-11-10  Matt Bissiri  <bissiri@eecs.umich.edu>

	* component/Makefile.am: Regenerate the idl-generated files
	if composer idl changes.

2000-11-03  Federico Mena Quintero  <federico@helixcode.com>

	* evolution-services/Makefile.am: Clean the idl-generated files
	properly.

2000-11-01  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c:
	  component/e-summary-factory.c:
	  component/e-summary-url.c: Warning's cleanup.

2000-11-01  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_rebuild_page): Requeue the redraw
	if there is a selection on the widget.

2000-11-01  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_display_window): Draw the window 
	controls to move, close and configure the window.
	(e_summary_window_move_(left|right|up|down)): Move the window around the
	window list.

	* component/e-summary-url.c (e_summary_url_click): Add handlers for the
	window control URIs (close:// configure:// up:// down:// left:// and 
	right://).
	(get_protocol): Add support for the new protocols.
	(parse_uri): Ditto.
	(e_summary_url_describe): ditto.

2000-10-30  Iain Holmes  <iain@helixcode.com>

	* component/e-summary-factory.c (embed_service): Generate the uid here
	and pass it into the create_view method.

	* evolution-services/executive-summary-component-client.c
	(executive_summary_component_client_create_view): Use the passed in UID
	to generate a view.

	* evolution-services/executive-summary-component.c
	(impl_Evolution_SummaryComponent_create_view): Don't generate the id here
	but use the passed in one instead.

	* idl/SummaryComponent.idl: create_view now takes an ID parameter.

2000-10-26  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (load_default): Neaten the Report bug link.
	(e_summary_end_load): Put in a <hr> and a mailto to me.
	(e_summary_new): Create an EvolutionShellClient from the Evolution_Shell.
	(e_summary_get_shell_client): Retrieve the shell-client.

	* component/e-summary-url.c (e_summary_url_click): On a PROTOCOL_VIEW
	change the current view to the one specified in the URL. 

2000-10-28  Ettore Perazzoli  <ettore@helixcode.com>

	* component/Makefile.am (INCLUDES): Add
	`-I$(top_builddir)/executive-summary/evolution-services' and
	`-I$(top_srcdir)/executive-summary/evolution-services'.

2000-10-25  Iain Holmes  <iain@helixcode.com>

	* component/e-summary-url.c (e_summary_url_exec): Execute a program
	specified in the format "exec://program args".
	(e_summary_url_mail_compose): Run the mail composer when a mailto:
	URL is clicked.

2000-10-25  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (e_summary_start_load): Add a hack to stop the
	GtkHTML widget returning to the top when it is redrawn.

	* component/e-summary-url.[ch]
	* component/e-summary-util.[ch]: Split some functions out of e-summary.c

	* component/Makefile.am: Added the new files, and run orbit-idl on the
	mail composer idl.

2000-10-25    <jpr@helixcode.com>

	* component/e-summary-factory.c (control_activate): User 
	bonobo_control_get_remote_uid_container, not the old version

2000-10-25  Iain Holmes  <iain@helixcode.com>

	* test-service/main.c: Store each individual views data with the view.
	Add comments to explain everything.

	* evolution-services/executive-summary-component.c 
	(impl_Evolution_SummaryComponent_create_view): Only try to create a 
	control if the returned control != NULL.

2000-10-25  Iain Holmes  <iain@helixcode.com>

	* evolution-services/executive-summary-component.c 
	(impl_Evolution_SummaryComponent_create_view): Set the UID of the view 
	before passing it to the create_view method.

2000-10-25  Iain Holmes  <iain@helixcode.com>

	* idl/Summary.idl: Added set_icon method, and changed update_html_component
	to update_component. Made all methods take a long ID instead of an
	SummaryComponent.

	* idl/SummaryComponent.idl: Combined the create_bonobo_view and 
	create_html_view into create_view.
	Added a destroy_view method.

	* evolution-services/Makefile.am: Added the 2 new files.

	* evolution-services/executive-summary-component-view.[ch]: New
	files implementing a view of an ExecutiveSummaryComponent.

	* evolution-services/executive-summary.[ch]
	* evolution-services/executive-summary-client.[ch]
	* evolution-services/executive-summary-component.[ch]
	* evolution-services/executive-summary-component-client.[ch]:
	* component/e-summary-factory.c
	* component/e-summary.c
	* test-service/main.c:
	Updated to use new methods and the new ExecutiveSummaryComponentView
	object.

2000-10-16  Iain Holmes  <iain@helixcode.com>

	* evolution-services/executive-summary.c (executive_summary_class_init):
	Implement the update, set_title and flash functionality as signals
	instead of methods.
	(impl_Evolution_Summary_set_title): Emit signal.
	(impl_Evolution_Summary_flash): Emit signal.
	(impl_Evolution_Summary_update_html_component): Emit signal.
	(executive_summary_new): Don't need the methods anymore.
	(executive_summary_construct): Same.
	(executive_summary_init): Remove the private initialisation.

2000-10-23  Dan Winship  <danw@helixcode.com>

	* idl/Makefile.am (INCLUDES): 
	* evolution-services/Makefile.am (INCLUDES): 
	* component/Makefile.am (INCLUDES): Update EVOLUTION_LOCALEDIR

2000-10-14  Ettore Perazzoli  <ettore@helixcode.com>

	* evolution-executive-summary.oafinfo: Added
	"evolution:shell-component-icon" property.

2000-10-10  Jacob "Ulysses" Berkman  <jacob@helixcode.com>

	* evolution-services/Makefile.am (IDLS): make the built sources
	depend on the idl files

2000-10-09  Iain Holmes  <iain@helixcode.com>

	* idl/SummaryComponent.idl: Added an icon parameter to the
	create_view methods.

	* evolution-services/executive-summary-component.c: Implement
	the icon parameter.

	* evolution-services/executive-summary-component-client.c: Ditto

	* component/e-summary.c: Draw the specified icon.

	* component/e-summary-factory.c: Use the icon parameter.

2000-10-09  Iain Holmes  <iain@helixcode.com>

	* evolution-services/Makefile.am: Added $(EXTRA_GNOME_CFLAGS) to 
	find gnomesupport.h

2000-10-06  Iain Holmes  <iain@helixcode.com>

	* component/e-summary.c (request_cb): Use gnome-vfs to retrieve
	the requested files. Allows services to specify remote urls.
	(load_default, e_summary_display_window, e_summary_rebuild_page): 
	Change the html to match TigerT's lovely design.
	(e_summary_add_html_service, e_summary_add_html_service): Add
	the client argument so we can destroy it when we've quit.
	(e_summary_window_update): Only do an update if there isn't one
	pending.

	* component/e-summary-factory.c (embed_service): upd.

	* test-service/main.c: Made the test service be really silly and count
	the number of seconds since it was started.

2000-10-06  Ettore Perazzoli  <ettore@helixcode.com>

	* component/Makefile.am (INCLUDES): Fix builddir != srcdir.

2000-10-05  Chris Toshok  <toshok@helixcode.com>

	* widgets/.cvsignore: ignore more stuff.

	* .cvsignore: ignore more stuff.

	* idl/.cvsignore: ignore more stuff.

	* evolution-services/.cvsignore: ignore more stuff.

	* component/.cvsignore: ignore more stuff.

	* .cvsignore: add Makefile

2000-10-05  Chris Toshok  <toshok@helixcode.com>

	* component/component-factory.c: include
	<gal/widgets/e-gui-utils.h> instead of "e-util/e-gui-utils.h" to
	clear up e_notice declaration, and #include <gnome.h> to get "_".

2000-10-05  Michael Meeks  <michael@helixcode.com>

	* component/e-summary-factory.c (control_activate): upd.
	(set_pixmap): upd. (update_pixmaps): upd.
	(control_activate_cb): upd.
	(control_deactivate): upd.

2000-10-04  Iain Holmes  <iain@helixcode.com>

	* idl/SummaryComponent.idl: Added a title argument to the 
	create_view methods.

2000-09-13  Iain Holmes  <iain@helixcode.com>

	* Started the Executive Summary
